All Classes Files Functions Variables Typedefs Enumerations Enumerator Macros Pages
io_input.c File Reference

Example: print digital and analog inputs. More...

`#include "stdio.h"`
`#include <termios.h>`
`#include <unistd.h>`
`#include <errno.h>`
`#include <sys/types.h>`
`#include <sys/time.h>`
`#include "../c_wrapper/pruio.h"`
Include dependency graph for io_input.c:

Go to the source code of this file.

## Macros

#define | _GNU_SOURCE 1
| Message for the compiler.

## Functions

int | isleep (unsigned int mseconds)
| Wait for keystroke or timeout. More...
int | main (int argc, char **argv)
| The main function. More...

## Detailed Description

Example: print digital and analog inputs.

This file contains an example on how to use libpruio to print out the state of the digital GPIOs and the analog input lines.

Licence: GPLv3

Copyright 2014 by Thomas{ dOt ]Freiherr[ At ]gmx[ DoT }net

Compile by: `gcc -Wall -o io_input io_input.c -lpruio`

Definition in file io_input.c.

## Function Documentation

int isleep | ( | unsigned int | mseconds | ) |

Wait for keystroke or timeout.

Parameters

  mseconds | Timeout value in milliseconds.

Returns
  0 if timeout, 1 if input available, -1 on error.

Wait for a keystroke or timeout and return which of the events happened.

Definition at line 36 of file io_input.c.

Here is the caller graph for this function:

int main | ( | int | argc,
|  | char ** | argv
| ) |  |

The main function.

create new driver structure

Definition at line 55 of file io_input.c.

Here is the call graph for this function: